---
BasedOnStyle: LLVM
UseTab: ForIndentation
PointerAlignment: Left
ColumnLimit: 120
IndentWidth: 4
TabWidth: 4
AccessModifierOffset: 4

IndentCaseLabels: true
IndentAccessModifiers: true
IndentPPDirectives: AfterHash

BreakBeforeBraces: Attach
BreakStringLiterals: true

AlignAfterOpenBracket: Align
AlignArrayOfStructures: Left
AlignEscapedNewlines: DontAlign
AlignConsecutiveMacros: true

AllowShortIfStatementsOnASingleLine: false
AllowShortBlocksOnASingleLine: Empty
AllowShortEnumsOnASingleLine: false
AllowShortFunctionsOnASingleLine: InlineOnly
AllowShortCaseLabelsOnASingleLine: true

Cpp11BracedListStyle: true

---
Language: Cpp
Standard: Cpp11
